=== modified file 'docs/functions/string/modification.rst'
--- docs/functions/string/modification.rst	2011-08-13 20:41:38 +0000
+++ docs/functions/string/modification.rst	2011-09-15 13:44:31 +0000
@@ -45,7 +45,7 @@
 
 Syntax:
 
-CONCAT_WS(separator str1, str2,....)
+CONCAT_WS(separator, str1, str2,....)
 
 For example:
 
@@ -74,13 +74,29 @@
 
 [remstr] is optional (if it's not specified, spaces are removed).
 
+For example:
+
+.. code-block:: mysql
+
+	SELECT TRIM(BOTH 'hello,' FROM 'hello,Drizzlehello,');
+
+Returns: 'Drizzle'
+
 .. _ltrim-function:
 
-LTRIM
+LTRIM 
 -----
 
 This version of the TRIM function removes leading spaces from the beginning of a string.
 
+For example:
+
+.. code-block:: mysql
+
+	SELECT LTRIM('   Drizzle');
+
+Returns: 'Drizzle'
+
 .. _rtrim-function:
 
 RTRIM
@@ -88,6 +104,14 @@
 
 This version of the TRIM function removes trailing spaces from the end of a function. 
 
+For example:
+
+.. code-block:: mysql
+
+	SELECT RTRIM('Drizzle   ');
+
+Returns: 'Drizzle'
+
 .. rubric:: Footnotes
 
 .. [1] If the separator is NULL then the result is NULL.

